PHP Crash Reporter on upgrading to 2.4.5


  • Please see below...

    [01-Mar-2020 12:54:46 Europe/London] PHP Warning: Illegal string offset 'lbpool' in /etc/inc/service-utils.inc on line 378
    [01-Mar-2020 12:54:58 Europe/London] PHP Warning: Illegal string offset 'lbpool' in /etc/inc/service-utils.inc on line 378
    [01-Mar-2020 12:57:08 Europe/London] PHP Warning: Illegal string offset 'lbpool' in /etc/inc/service-utils.inc on line 378
    [01-Mar-2020 12:57:22 Europe/London] PHP Warning: Illegal string offset 'lbpool' in /etc/inc/service-utils.inc on line 378
    [01-Mar-2020 12:59:27 Europe/London] PHP Warning: Illegal string offset 'lbpool' in /etc/inc/service-utils.inc on line 378
    [01-Mar-2020 13:00:12 Europe/London] PHP Warning: Illegal string offset 'lbpool' in /etc/inc/service-utils.inc on line 378

    I also get the below error shown in the services status...

    Warning: Illegal string offset 'lbpool' in /etc/inc/service-utils.inc on line 378!

    This was after upgrading from console from 2.4.4.

  • Rebel Alliance Developer Netgate

    I wasn't able to reproduce it here, but I can see how it might happen. I opened https://redmine.pfsense.org/issues/10308 and just pushed a fix. It will show up on the Redmine issue shortly.


  • @jimp Thank you!